PLEASE REPORT ANY BUGS OR FEATURES THAT YOU FIND SO THAT WE CAN FIX'EM!
To view more details on these issues, please visit http://team.myitcrm.com/

===v0.2.9.3 : 13th January 2012 ===
Minor Bug fixes and Security fix.

•Bug #252: client name not display on customer tab
•Bug #259: Currency code not used in Paypal invoices - Defaults to USD
•Bug #260: Upgrade Process and files review - sanitize data


===v0.2.9.2 : 30th September 2011 from svn r392===

Over 40 Bug Fixes and over 30 New features added

•Bug #144: Database error on printing schedule.
•Bug #145: Invoice stats on Welcome screen not calculating correctly.
•Bug #149: cannot delete print.tpl
•Bug #150: correct use of currency symbol
•Bug #151: fix and upgrade reports page
•Bug #154: clicking on company name does not work
•Bug #156: required database alterations
•Bug #162: add WO number to PDF or remove
•Bug #164: invoice create financial logic and misc
•Bug #165: make the number of items displayed more in these sections
•Bug #169: fix some double smarty language file calls
•Bug #170: new workorder doesn't have tinyMCE applied
•Bug #173: add invoice tax and discount rate in the database
•Bug #174: sub totals on invoice pages
•Bug #176: invoices should only use stored values
•Bug #178: credit terms is not defined properly for printing
•Bug #179: fix invoice pages tooltips
•Bug #180: invoicing labour freetype added
•Bug #181: invoice functionality update
•Bug #184: customer section invoice list printing does not work
•Bug #187: work order nav menu keeps collapsing
•Bug #188: TRACKER not found
•Bug #189: Tax Should not Round up.
•Bug #193: Inactive employee can still log in
•Bug #196: customer section/ invoice tab print pdf does not work
•Bug #197: a non existent css file is being called by tinymce
•Bug #198: Refund details not accessible " Permission Denied"
•Bug #205: view+.gif not rendering on some server installations
•Bug #209: "View" link error in Customer Section under Unpaid Invoices tab
•Bug #212: weired date display issue
•Bug #213: remove some mandatory stuff on create/editing a customer
•Bug #215: correction of invoice stats on home page
•Bug #217: reopen Bug #188
•Bug #222: billing procedures had dollar hard coded
•Bug #223: customer invoice page balances not working
•Bug #235: should invoices with £0.00 be counted as unpaid
•Bug #237: on customer search page limit number of displayed customers
•Bug #238: Phone number fields should be greater than 20
•Bug #239: webaddress validator needs www
•Bug #242: Database creation on New Install errors out when hyphen used in DB name.
•Bug #246: GMAPS fails to load in IFrames now.
•Feature #40: Change the order of things displayed on the WO page
•Feature #75: Work order resolution on invoice
•Feature #85: option to force SSL
•Feature #88: Ability to sell parts only
•Feature #92: Ability to add and remove parts from a WO
•Feature #93: be able to add and remove labour from the WO page
•Feature #96: WO Schedule on another Tab and summary to replace it
•Feature #99: removal of parts or labour button should remove selected item(s) via a check box not just the last item
•Feature #102: On schedule I would display the following as the title
•Feature #103: on invoice page separate sub totals for parts and labour
•Feature #118: Separate labor and parts in reports.
•Feature #148: print invoice logic updated
•Feature #155: create work order in main nav section
•Feature #160: add GBP to company setup description
•Feature #161: Applied TAX Rate
•Feature #167: add printing type to business setup or remove tables in company setup
•Feature #168: turn on hits stats section?
•Feature #182: descending closed and open work orders
•Feature #183: make appropriate lists descending
•Feature #185: Paypal Donation link in MyITCRM
•Feature #194: suppliers, expenses, refunds make notes and description use tinymce
•Feature #195: create htaccess file with caching
•Feature #199: Minimise Invoice Stats on Main Page
•Feature #214: create invoice without Work Order
•Feature #219: invoice lookups now use invoice number no WO id
•Feature #220: customer detail list now descend
•Feature #221: customer invoice balance not working
•Feature #224: add version number to conf.php
•Feature #226: non english translations as downloads
•Feature #232: supplier section
•Feature #233: combine customers edit.js and new.js
•Feature #240: add tinymce in to notes in customer section
•Feature #245: Invoice Deletion Function

===v0.2.9.1 : 14th November 2010 from svn r259===

Bug #136: Can't edit "Billing Rates" Directly
Bug #137: Upgrade Process Issues
Bug #138: Backup process sends email to fixed address and not user defined
Bug #142: Currency Code not being Set for Online payment processing
Bug #143: Paypal not accepting payment.
Feature #139: customer database upgrades



===v0.2.9.0 : 22th July 2010 svn r243===

Bug #35: Partial Payment and Discounts: Closed   ( geevpc )
Bug #38: add percent sign on discount box on new customer: Closed   ( geevpc )
Bug #43: The address filed is not long enough for my addresses: Closed   ( geevpc )
Bug #71: Payment balance not calculated properly: Closed   ( geevpc )
Bug #74: PDF invoicing: Closed   ( geevpc )
Bug #76: Print PDF Invoice not printing Parts: Closed   ( shoulders )
Bug #77: Parts Count rounding up: Closed   ( )
Bug #79: Tax adding correctly, but not showing correctly : Closed   ( sunh3 )
Bug #98: partial payment calculation bug: Closed   ( geevpc )
Bug #107: Default UTF-8 database character sets - MySQL: Closed   ( sunh3 )
Bug #108: british pounds listed twice: Closed   ( geevpc )
Bug #109: conuntry selection duplicate entery: Closed   ( geevpc )
Bug #114: Remove Info text of redundant information: Closed   ( geevpc )
Bug #115: Update footer link to team.myitcrm.com: Closed   ( geevpc )
Bug #117: Discount Tax: Closed   ( geevpc )
Bug #121: Rename Secondary Number to FAX: Closed   ( geevpc )
Bug #122: Default Language selection during setup: Closed   ( geevpc )
Bug #131: incorrect tracker table name: Closed   ( geevpc )
Bug #132: svn installer issue: Closed   ( geevpc )
Bug #133: customer and employee address database type changing: Closed   ( geevpc )
Feature #26: Add to setup currency symbol: Closed   ( geevpc )
Feature #27: The Work Resolution Box should be on the Work Order page: Closed   ( shoulders )
Feature #28: Print WO summary to give to client upon receipt of goods: Closed   ( geevpc )
Feature #29: When printing invoice by PDF no parts are shown: Closed   ( shoulders )
Feature #30: Be able to assign a work order without scheduling it: Closed   ( )
Feature #31: Paymate Intergration: Closed   ( geevpc )
Feature #33: Be able assign a works order to another tech.: Closed   ( )
Feature #34: Open MyIT CRM Project links in a new window: Closed   ( geevpc )
Feature #36: Scope should be a drop down menu: Closed   ( geevpc )
Feature #37: Scope should be editable: Closed   ( geevpc )
Feature #46: Customer type list should be editable in admin: Closed   ( geevpc )
Feature #55: Billing Rates Page - Making Changes...: Closed   ( geevpc )
Feature #56: Date formatting setup: Closed   ( geevpc )
Feature #61: Create Payment terms for customers: Closed   ( geevpc )
Feature #62: Payment: Closed   ( geevpc )
Feature #72: Date formatting: Closed   ( geevpc )
Feature #80: add a second address line and house name on to customers details page: Closed   ( geevpc )
Feature #81: add new customer and edit customer are not the same: Closed   ( geevpc )
Feature #83: on WO page, history could be on another tab: Closed   ( geevpc )
Feature #87: Expenses and Refund Section: Closed   ( geevpc )
Feature #89: Forgot Password Reset Link: Closed   ( geevpc )
Feature #100: when adding parts or labour the default qty should be populated with 1: Closed   ( geevpc )
Feature #110: Button to copy details from administrator to company details: Closed   ( geevpc )
Feature #124: Change display name to contact: Closed   ( geevpc )
Feature #129: additional fields on customer: Closed   ( geevpc )



===v0.2.8.1 : 4th November 2009===

#70 Install and Upgrade process


====== v0.2.8.0 : 15th October 2009 =======

0000108: Installer fails to encapsulate strings on conf.php
0000091: Google Maps API Error
0000090: MySQL Connection issue - conf.php issue
0000099: Click on calendar enrty fails to open WO
0000109: Customer specified discount not being applied in invoice area
0000076: Can i use or create more Company Parts Suppliers
0000092: Company's phone number shows up as secondary on work orders
0000101: Undesirable client name being used on PDF invoices
0000087: "Home" page "Invoice stats"
0000093: Bug when viewing paid invoices page
0000105: Bug when viewing un-paid invoices page
0000098: Ability to delete work orders
0000112: Manually enter login names for employee's
0000089: Internet Explorer 8 is reporting errors
0000065: Manually adding parts on an invoice...what about manufacturers?
0000088: Icon are broken
0000102: Billing name/address format on PDF invoices
0000103: "Comments" font size increase on PDF invoices
0000096: Viewing customer details page
0000119: when printing PDF invoices it should open in a new window


==============
V 0.2.7 : May 21st 2009.

- 0000073: [FEATURE] IE7 issue - Unable to add gift certificates (Geevpc) - resolved.
- 0000070: [misc] Change Google Maps to employee's address (Geevpc) - resolved.
- 0000002: [invoice] PDF invoicing (Geevpc) - resolved.
- 0000079: [FEATURE] Add new Language files (Geevpc) - resolved.
- 0000077: [invoice] Cant see the discount on the Invoice view. (Geevpc) - resolved.
- 0000048: [company] Company Message Escapes Characters (Geevpc) - resolved.
- 0000082: [workorders] Unable to close an unscheduled work order. (Geevpc) - resolved.
- 0000056: [schedule] Setting business hours (Geevpc) - resolved.
- 0000017: [FEATURE] Wildcard searching of Customers (Geevpc) - resolved.
- 0000078: [customers] Add customer edit button for easier access. (Geevpc) - resolved.
- 0000083: [menus] Admin menu items available to non-Admins (Geevpc) - resolved.
- 0000066: [schedule] Technician Level can modify other schedules. (Geevpc) - resolved.
- 0000084: [misc] Image/Logo rendering issue (Geevpc) - resolved.
- 0000060: [FEATURE] Twitter / Bug Reporting / Etc - Move (Geevpc) - resolved.
- 0000027: [FEATURE] Design Overhaul - New layout, Menu Systems, etc (Geevpc) - resolved.
- 0000050: [invoice] 100% discount causes invoice to be put into limbo (Geevpc) - resolved.
- 0000074: [schedule] Unable to schedule a work order. (Geevpc) - resolved.
- 0000067: [invoice] Cheque payment receiveing (Geevpc) - resolved.
- 0000068: [installation] After upgrade to 0.2.6 I get stuck in error loop "Could not get Page ACL" (Geevpc) - resolved.
- 0000069: [labour] Customer Setup: Discount maxes out at 9.99% (Geevpc) - resolved.

20 of 20 issue(s) resolved. Progress (100%).


==============
V 0.2.6 : April 5th 2009.

- 0000057: [labour] Labor Rate update causes database error. (Geevpc) - resolved.
- 0000059: [misc] Google Maps API editing (Geevpc) - resolved.
- 0000054: [workorders] Missing table when scheduling a work order (Geevpc) - resolved.
- 0000055: [installation] Link to the MyIT CRM page at the last page of installation (Geevpc) - resolved.
- 0000044: [invoice] coding issue, and possible confusion for customers (Geevpc) - resolved.


==============
V 0.2.5 : March 31st 2009.

- 0000047: [installation] Root MySQL info needed to install (Geevpc) - resolved.
- 0000005: [company] Office Hours - A Bit Misleading (Geevpc) - resolved.
- 0000018: [FEATURE] Custom Logo's (Geevpc) - resolved.
- 0000035: [misc] Gift Certificates don't get entered into the database (Geevpc) - resolved.
- 0000042: [workorders] Typos, missing info. (Geevpc) - resolved.
- 0000043: [other] Edit Details update breaks all printing. (Geevpc) - resolved.
- 0000045: [invoice] Coding issue on printing Invoice (Geevpc) - resolved.
- 0000041: [other] Office Stats page (Geevpc) - resolved.
- 0000040: [menus] Forums link doesn't go to forums (Geevpc) - resolved.
- 0000031: [invoice] close workorder [ IE7 issue ] (Geevpc) - resolved.
- 0000038: [misc] Another Typo - The admin menu this time... (Geevpc) - resolved.
- 0000037: [misc] Typo on Web Traffic page. (Geevpc) - resolved.
- 0000039: [menus] Report a bug option link. (Geevpc) - resolved.
- 0000036: [schedule] Cannot assign a work order to another tech. (Geevpc) - resolved.
- 0000026: [FEATURE] Add Google Map/Directions popup to Customer Details Screen (Geevpc) - resolved.
- 0000024: [invoice] Partial Payments not closing out properly + other small bugs (Geevpc) - resolved.
- 0000023: [FEATURE] Create option to "Upgrade existing version" or "New Installation" when installing. (Geevpc) - resolved.

To view more details on these issues, please visit https://apps.sourceforge.net/mantisbt/myitcrm/view_all_bug_page.php


==============
v.0.2.4 : Mar 2, 2009
	- 0000007: [FEATURE] Part ordering..? (Geevpc) - Parts can be added to an existing invoice.
	- 0000011: [FEATURE] When printing / exporting invoices...  - Added Invoice Status to printed invoice.eg; "Awaiting Payment", "Closed", etc
	- 0000010: [FEATURE] Close invoice option from Invoicing view. - Added button to close Work Order if not done when invoice is generated.
	- 0000021: [menus] General Menu issues and functions  - As Below
	- 0000019: [other] Header Tiddy-It-Up Modifications  - Cleaned up menu system. Also fix IE7 rendering issue.
	- 0000008: [FEATURE] Invoicing - printing layout.. - Invoice layout has changed to incoperate customer details in billing window for sending in windowed envolopes.
	- 0000006: [menus] Import/Export Links Issues - Removed until feature can be re-implemented.
	- 0000013: [FEATURE] Schedule page addition - View Work Order from Schedule edit page
	- 0000004: [misc] Calendar "Stack Overflow 15" error - reverted Calendar back to prevoius version

==============
v.0.2.3 : Feb 24, 2009
  * Fixed the invoice date issue formatting to dd/mm/yyyy. 
      - Sourceforge Bug/Request ID - 2623983
  * Updated the calendar source code (JSCalendar) from version 0.9.8 to version 1.0 (Latest and final)
  * Updated some formatting typos (SCHEDULE to schedule)



==============
v.0.2.2 : Feb 23, 2009
  * Can now close out Work Orders without invoicing them. 
      - Sourceforge Bug/Request ID - 2619383



==============
v.0.2.1 : Feb 23, 2009
  * Changed typo from "LOABOR" to "LABOR". 
      - Modified : Lns 160,766 - /install/sql.php
      - Modified : Lns 16,39 - /modules/control/edit_rate.php
      - Modified : Ln 42 - /templates/control/edit_rate.tpl
      - Modified : Ln 50 - /templates/invoice/new.tpl      
  * Changed typo from "SCHEDUAL" to "schedule" in all files and SQL file""
      - Modified : to many to list here.      
  * Changed the date format to dd/mm/yyyy instead of mm/dd/yyyy
      - Modified : to many to list here.
      - Delete/Edit Schedule working again after date format change.
      - Shedule "start and stop time" conflict fixed after date format change.
      - When schedule entered/confirmed, returned to wrong date page. This is now fixed.
  * Updated changelog.txt.  Changed version to v.0.2.2.
      - Modified : /changelog.txt
      - Modified : /version.php
  * Added Company ABN details for Australian Business
      
None Bugs/issues to fix:

Feature Request:
  * Install google maps popup for client addresses
  * Change parts ordering to plain parts list maintained by end users or admin.
  * Incorperate aTicket (formerly eTicket) into CRM package.
  * Rewrite all coding.      
     
      
      
==============
v.0.2.001 : May 02, 2008
  * Changed contact email address.  Changed wording of second sentence. 
      - Modified : /README
  * Numerous spelling errors and some grammar errors. 
      - Modified : /install/index.php
  * Fixed Start Time and End Time the same by putting double quotes 
    around 00 value of $secs. 
	  - Modified : /modules/schedual/include.php
  * Added changelog.txt.  Changed version to v.0.2.001.
      - Added : /changelog.txt
      - Modified : /version.php

  
 
